Partially Receive Inbound Shipment
post
https://api.flxpoint.com/inbound-shipments/{id}/receiveUse this when you want to create inbound shipments data through the API.
๐ X-API-TOKENโฑ 2 req/sToken: Account ยท Source ยท Channel
This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.
Partially receive items
Request
Query parameters
updateInventoryOnceReceivedquerybooleanUpdate inventory after receiving shipment
Body
application/jsonin `ItemQuantityAdjustment`, either `sku` or `purchaseOrderItemId` must be specified
purchaseOrderIdintegerrequireditemsarray[ReceiveInboundShipmentItemAdjustment]requiredpurchaseOrderItemIdintegerId of purchase order item
quantityintegerrequiredskustringSku of purchase order item - case sensitive
Example request
post
/inbound-shipments/{id}/receivecurl -X POST "https://api.flxpoint.com/inbound-shipments/{id}/receive" \
-H "Accept: application/json" \
-H "X-API-TOKEN: YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"purchaseOrderId": 0,
"items": [
{
"purchaseOrderItemId": 0,
"quantity": 0,
"sku": "string"
}
]
}'Example body ยท application/json
{
"purchaseOrderId": 0,
"items": [
{
"purchaseOrderItemId": 0,
"quantity": 0,
"sku": "string"
}
]
}Responses
200OK
No schema documented for this status.
400Bad Request
No schema documented for this status.
401Unauthorized
No schema documented for this status.
404Not Found
No schema documented for this status.
OpenAPI fragment
{
"post": {
"summary": "Partially Receive Inbound Shipment",
"description": "Partially receive items",
"parameters": [
{
"schema": {
"type": "boolean",
"default": "true"
},
"in": "query",
"name": "updateInventoryOnceReceived",
"description": "Update inventory after receiving shipment"
}
],
"requestBody": {
"description": "in `ItemQuantityAdjustment`, either `sku` or `purchaseOrderItemId` must be specified ",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ReceiveInboundShipmentAdjustment"
}
}
}
},
"responses": {
"200": {
"description": "OK"
},
"400": {
"description": "Bad Request"
},
"401": {
"description": "Unauthorized"
},
"404": {
"description": "Not Found"
}
}
}
}Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight